# Interface NodePatch

Data object similar to NodeData, but with additional options. May be passed to FancytreeNode#applyPatch (Every property that is omitted (or set to undefined) will be ignored)

interface NodePatch {
appendChildren ?: NodeData ;
insertChildren ?: NodeData ;
replaceChildren ?: NodeData ;
}

- Defined in src/public/app/types-fancytree.d.ts:1108

##### Index

### Properties

appendChildren?
insertChildren?
replaceChildren?

## Properties

### `Optional` appendChildren

appendChildren?: NodeData

(not yet implemented)

- Defined in src/public/app/types-fancytree.d.ts:1110

### `Optional` insertChildren

insertChildren?: NodeData

(not yet implemented)

- Defined in src/public/app/types-fancytree.d.ts:1114

### `Optional` replaceChildren

replaceChildren?: NodeData

(not yet implemented)

- Defined in src/public/app/types-fancytree.d.ts:1112